X2Go Bug report logs - #1344
Versioning in the launchpad ppa

Package: launchpad.net; Maintainer for launchpad.net is x2go-dev@lists.x2go.org;

Reported by: Jens Reyer <jens.reyer@leberrohstoffe.com>

Date: Mon, 19 Nov 2018 13:30:02 UTC

Severity: normal

Tags: not-a-bug

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, x2go-dev@lists.x2go.org:
Bug#1344; Package launchpad.net. (Mon, 19 Nov 2018 13:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jens Reyer <jens.reyer@leberrohstoffe.com>:
New Bug report received and forwarded. Copy sent to x2go-dev@lists.x2go.org. (Mon, 19 Nov 2018 13:30:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Jens Reyer <jens.reyer@leberrohstoffe.com>
To: submit@bugs.x2go.org
Subject: Versioning in the launchpad ppa
Date: Mon, 19 Nov 2018 14:26:41 +0100
Package: launchpad.net

Hi,

the version of e.g. nx-libs in the X2Go nightly PPA at
https://launchpad.net/~x2go is technically lower than the one in the
official Ubuntu Bionic (18.04) archive:

$ dpkg --compare-versions 2:3.5.99.16-0~201811100633~ubuntu18.04.1 gt
2:3.5.99.16-1 && echo "ppa version is bigger" || echo "ppa version is
smaller"
ppa version is smaller

This would be correct if they had the same "upstream" content, so that
the official package has precedence over the PPA one. However I assume
that the nightly PPA ships newer "upstream" functionality. You may
reflect this by changing the versioning to something like this
(increase the upstream versioning part before the Debian revision -0):

2:3.5.99.16+201811100633-0~ubuntu18.04.1

$ dpkg --compare-versions 2:3.5.99.16+201811100633-0~ubuntu18.04.1 gt
2:3.5.99.16-1 && echo "ppa version is bigger" || echo "ppa version is
smaller"
ppa version is bigger

Otherwise I have to "downgrade" the packages, in order to use the
nightly builds instead of the older official Ubuntu bionic ones. For
this to work I currently use apt pinning:

$ cat /etc/apt/preferences.d/x2go-ppa
Package: *
Pin: release o=LP-PPA-x2go
Pin-Priority: 1010

Thanks
jre


Information forwarded to x2go-dev@lists.x2go.org, x2go-dev@lists.x2go.org:
Bug#1344; Package launchpad.net. (Mon, 19 Nov 2018 15:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to x2go-dev@lists.x2go.org. (Mon, 19 Nov 2018 15:00:02 GMT) Full text and rfc822 format available.

Message #10 received at 1344@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Jens Reyer <jens.reyer@leberrohstoffe.com>, 1344@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1344: Versioning in the launchpad ppa
Date: Mon, 19 Nov 2018 14:59:34 +0000
[Message part 1 (text/plain, inline)]
Control: close -1
Control: tags -1 not-a-bug

Hi Jens,

On  Mo 19 Nov 2018 14:26:41 CET, Jens Reyer wrote:

> $ cat /etc/apt/preferences.d/x2go-ppa
> Package: *
> Pin: release o=LP-PPA-x2go
> Pin-Priority: 1010

This is exactly the way to do it.

Closing this bug as a not-a-bug report.

Thanks+Greets!
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 2 (application/pgp-signature, inline)]

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 1344-submit@bugs.x2go.org. (Mon, 19 Nov 2018 15:00:03 GMT) Full text and rfc822 format available.

Notification sent to Jens Reyer <jens.reyer@leberrohstoffe.com>:
Bug acknowledged by developer. (Mon, 19 Nov 2018 15:00:03 GMT) Full text and rfc822 format available.

Added tag(s) not-a-bug. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 1344-submit@bugs.x2go.org. (Mon, 19 Nov 2018 15:00:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, x2go-dev@lists.x2go.org:
Bug#1344; Package launchpad.net. (Mon, 19 Nov 2018 15:25:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to uli42@gmx.de:
Extra info received and forwarded to list. Copy sent to x2go-dev@lists.x2go.org. (Mon, 19 Nov 2018 15:25:03 GMT) Full text and rfc822 format available.

Message #21 received at 1344@bugs.x2go.org (full text, mbox):

From: Ulrich Sibiller <ulrich.sibiller@gmail.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 1344@bugs.x2go.org
Cc: jens.reyer@leberrohstoffe.com
Subject: Re: [X2Go-Dev] Bug#1344: Bug#1344: Versioning in the launchpad ppa
Date: Mon, 19 Nov 2018 16:19:47 +0100
On Mon, Nov 19, 2018 at 4:05 PM Mike Gabriel
<mike.gabriel@das-netzwerkteam.de> wrote:
>
> Control: close -1
> Control: tags -1 not-a-bug
>
> Hi Jens,
>
> On  Mo 19 Nov 2018 14:26:41 CET, Jens Reyer wrote:
>
> > $ cat /etc/apt/preferences.d/x2go-ppa
> > Package: *
> > Pin: release o=LP-PPA-x2go
> > Pin-Priority: 1010
>
> This is exactly the way to do it.
>
> Closing this bug as a not-a-bug report.

I don't really get it. What is the sense in adding a ppa to your
system when you need additional steps to get the packages from there!?
This is counter-intuitive! If a user adds the ppa he/she/it states
his/her/its will to use packages from there, so why ignoring that user
wish?

Uli


Information forwarded to x2go-dev@lists.x2go.org, x2go-dev@lists.x2go.org:
Bug#1344; Package launchpad.net. (Mon, 19 Nov 2018 16:05:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jens Reyer <jens.reyer@leberrohstoffe.com>:
Extra info received and forwarded to list. Copy sent to x2go-dev@lists.x2go.org. (Mon, 19 Nov 2018 16:05:02 GMT) Full text and rfc822 format available.

Message #26 received at 1344@bugs.x2go.org (full text, mbox):

From: Jens Reyer <jens.reyer@leberrohstoffe.com>
To: 1344@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1344: Bug#1344: Versioning in the launchpad ppa
Date: Mon, 19 Nov 2018 16:48:37 +0100
Am Mo., 19. Nov. 2018 um 16:20 Uhr schrieb Ulrich Sibiller
<ulrich.sibiller@gmail.com>:

> On Mon, Nov 19, 2018 at 4:05 PM Mike Gabriel
> <mike.gabriel@das-netzwerkteam.de> wrote:
> >
> > Control: close -1
> > Control: tags -1 not-a-bug
> > > $ cat /etc/apt/preferences.d/x2go-ppa
> > > Package: *
> > > Pin: release o=LP-PPA-x2go
> > > Pin-Priority: 1010
> >
> > This is exactly the way to do it.
> >
> > Closing this bug as a not-a-bug report.
>
> I don't really get it. What is the sense in adding a ppa to your
> system when you need additional steps to get the packages from there!?
> This is counter-intuitive! If a user adds the ppa he/she/it states
> his/her/its will to use packages from there, so why ignoring that user
> wish?

I basically agree with Uli, except that I'd only prefer newer versions
from the PPA over those from the Ubuntu archive (which should be the
case for nightly).
Or with other words: I assume you update the upstream source in the
orig.tar for the nightlies, then you should also change the upstream
version.


Information forwarded to x2go-dev@lists.x2go.org, x2go-dev@lists.x2go.org:
Bug#1344; Package launchpad.net. (Tue, 20 Nov 2018 09:05:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to x2go-dev@lists.x2go.org. (Tue, 20 Nov 2018 09:05:02 GMT) Full text and rfc822 format available.

Message #31 received at 1344@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: uli42@gmx.de, 1344@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1344: Bug#1344: Bug#1344: Versioning in the launchpad ppa
Date: Tue, 20 Nov 2018 09:01:22 +0000
[Message part 1 (text/plain, inline)]
Hi Uli,

On  Mo 19 Nov 2018 16:19:47 CET, Ulrich Sibiller wrote:

> On Mon, Nov 19, 2018 at 4:05 PM Mike Gabriel
> <mike.gabriel@das-netzwerkteam.de> wrote:
>>
>> Control: close -1
>> Control: tags -1 not-a-bug
>>
>> Hi Jens,
>>
>> On  Mo 19 Nov 2018 14:26:41 CET, Jens Reyer wrote:
>>
>> > $ cat /etc/apt/preferences.d/x2go-ppa
>> > Package: *
>> > Pin: release o=LP-PPA-x2go
>> > Pin-Priority: 1010
>>
>> This is exactly the way to do it.
>>
>> Closing this bug as a not-a-bug report.
>
> I don't really get it. What is the sense in adding a ppa to your
> system when you need additional steps to get the packages from there!?
> This is counter-intuitive! If a user adds the ppa he/she/it states
> his/her/its will to use packages from there, so why ignoring that user
> wish?
>
> Uli

It is a versioning topic. As long as we have not released a new  
upstream version, the nx-libs nightly packages we built for Arctica /  
X2Go are always strictly below the released package versions  
officially shipped in the distro.

So, you need to enforce that the nightly builds are preferred over the  
distro's nx-libs. This is wanted (by me).

And yes, it is counter intuitive for PPAs. This results from X2Go's  
nx-libs 3.6.x branch simply being synced over from Github.

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, x2go-dev@lists.x2go.org:
Bug#1344; Package launchpad.net. (Tue, 20 Nov 2018 09:05:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to x2go-dev@lists.x2go.org. (Tue, 20 Nov 2018 09:05:03 GMT) Full text and rfc822 format available.

Message #36 received at 1344@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Jens Reyer <jens.reyer@leberrohstoffe.com>, 1344@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1344: Bug#1344: Bug#1344: Versioning in the launchpad ppa
Date: Tue, 20 Nov 2018 09:03:30 +0000
[Message part 1 (text/plain, inline)]
Hi,

On  Mo 19 Nov 2018 16:48:37 CET, Jens Reyer wrote:

> Am Mo., 19. Nov. 2018 um 16:20 Uhr schrieb Ulrich Sibiller
> <ulrich.sibiller@gmail.com>:
>
>> On Mon, Nov 19, 2018 at 4:05 PM Mike Gabriel
>> <mike.gabriel@das-netzwerkteam.de> wrote:
>> >
>> > Control: close -1
>> > Control: tags -1 not-a-bug
>> > > $ cat /etc/apt/preferences.d/x2go-ppa
>> > > Package: *
>> > > Pin: release o=LP-PPA-x2go
>> > > Pin-Priority: 1010
>> >
>> > This is exactly the way to do it.
>> >
>> > Closing this bug as a not-a-bug report.
>>
>> I don't really get it. What is the sense in adding a ppa to your
>> system when you need additional steps to get the packages from there!?
>> This is counter-intuitive! If a user adds the ppa he/she/it states
>> his/her/its will to use packages from there, so why ignoring that user
>> wish?
>
> I basically agree with Uli, except that I'd only prefer newer versions
> from the PPA over those from the Ubuntu archive (which should be the
> case for nightly).
> Or with other words: I assume you update the upstream source in the
> orig.tar for the nightlies, then you should also change the upstream
> version.

The orig tarballs are indeed Git snapshots and the code base is newer  
than the upstream release number given. In fact, the package version  
contains the Git revision hash (shortened) and from that you can  
derive what code is actually shipped in the package.

The overall idea is to have an easy upgrade path when you want to  
return from nightly builds (test test test) back to a stable release  
build.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, x2go-dev@lists.x2go.org:
Bug#1344; Package launchpad.net. (Tue, 20 Nov 2018 10:05:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jens Reyer <jens.reyer@leberrohstoffe.com>:
Extra info received and forwarded to list. Copy sent to x2go-dev@lists.x2go.org. (Tue, 20 Nov 2018 10:05:02 GMT) Full text and rfc822 format available.

Message #41 received at 1344@bugs.x2go.org (full text, mbox):

From: Jens Reyer <jens.reyer@leberrohstoffe.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 1344@bugs.x2go.org
Cc: uli42@gmx.de
Subject: Re: [X2Go-Dev] Bug#1344: Bug#1344: Bug#1344: Bug#1344: Versioning in the launchpad ppa
Date: Tue, 20 Nov 2018 11:00:16 +0100
Hi Mike,

Am Di., 20. Nov. 2018 um 10:07 Uhr schrieb Mike Gabriel
<mike.gabriel@das-netzwerkteam.de>:
>
> Hi Uli,
>
> On  Mo 19 Nov 2018 16:19:47 CET, Ulrich Sibiller wrote:
>
> > On Mon, Nov 19, 2018 at 4:05 PM Mike Gabriel
> > <mike.gabriel@das-netzwerkteam.de> wrote:
> >>
> >> Control: close -1
> >> Control: tags -1 not-a-bug
> >>
> >> Hi Jens,
> >>
> >> On  Mo 19 Nov 2018 14:26:41 CET, Jens Reyer wrote:
> >>
> >> > $ cat /etc/apt/preferences.d/x2go-ppa
> >> > Package: *
> >> > Pin: release o=LP-PPA-x2go
> >> > Pin-Priority: 1010
> >>
> >> This is exactly the way to do it.
> >>
> >> Closing this bug as a not-a-bug report.
> >
> > I don't really get it. What is the sense in adding a ppa to your
> > system when you need additional steps to get the packages from there!?
> > This is counter-intuitive! If a user adds the ppa he/she/it states
> > his/her/its will to use packages from there, so why ignoring that user
> > wish?
> >
> > Uli
>
> It is a versioning topic. As long as we have not released a new
> upstream version, the nx-libs nightly packages we built for Arctica /
> X2Go are always strictly below the released package versions
> officially shipped in the distro.
>
> So, you need to enforce that the nightly builds are preferred over the
> distro's nx-libs. This is wanted (by me).
>
> And yes, it is counter intuitive for PPAs. This results from X2Go's
> nx-libs 3.6.x branch simply being synced over from Github.

Then maybe this can be documented on (at least) this page (including
the apt preferences snippet):
https://launchpad.net/~x2go/+archive/ubuntu/ppa

Greets and thanks again
jre


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Mon Dec 10 04:57:52 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.